#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long v;
    int ind=0;
    long long st=1;
    int br=0;
    int d[]={5,2,1};

    cin>>v;



    for(long long i=v;i>9;i/=10)
        st*=10;


    while(v>0)
    {
        while(d[ind]*st<=v)
        {
            v-=d[ind]*st;
            br++;
        }
        if(ind==2)
        {
            st/=10;
            ind=0;
        }
        else
            ind++;



    }
    cout<<br;


    return 0;
}